Name:           gprof2dot
Version:        1.0
Release:        0.5.20100708hg89%{?dist}
Summary:        Generate dot graphs from the output of several profilers

Group:          Applications/Multimedia
License:        LGPLv3+
URL:            http://code.google.com/p/jrfonseca/wiki/Gprof2Dot
# The Source0 used in this version of the package can be obtained by:
# hg clone https://gprof2dot.jrfonseca.googlecode.com/hg/ gprof2dot-1.0
# pushd gprof2dot-1.0
# hg checkout -r 89 
# # Same as rev: 04ddadc21c5e
# popd
# tar -cf - gprof2dot-1.0 |xz -9c --memory=500MiB > gprof2dot-1.0.tar.xz
Source0:        gprof2dot-1.0.tar.xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

BuildRequires:  python
BuildRequires:  graphviz
Requires:       python

%description
This is a Python script to convert the output from prof, gprof, oprofile,
Shark, AQtime, and python profilers into a dot graph.  It has the following
features:

* can correctly parse C++ template function names
* allows to prune nodes and edges below a certain threshold
* uses an heuristic to propagate time inside mutually recursive functions
* uses color efficiently to draw attention to hot-spots

%prep
%setup -q
sed -i '1s@^#!/usr/bin/env python$@#!/usr/bin/python@'  gprof2dot.py
cd tests
sed -i 's/^PYTHON=python2.5$/PYTHON=python/' runtests.sh

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
install -p -m 0755 gprof2dot.py %{buildroot}%{_bindir}/gprof2dot
chmod 0644 hotshotmain.py

%clean
rm -rf %{buildroot}

%check
cd tests
./runtests.sh

%files
%defattr(-,root,root,-)
%doc hotshotmain.py 
%{_bindir}/gprof2dot


%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.5.20100708hg89
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 08 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0-0.4.20100708hg89
- Update to new upstream

* Tue Apr 13 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0-0.3.20100413hg88
- Update to new upstream

* Mon Sep 14 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0-0.2.20090901svn
- Use svn export instead of svn checkout to generate the tarball
- Replace use of env with direct call to the python interpreter

* Tue Sep 1 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 1.0-0.1.20090901svn
- Initial Fedora build
